aboutsummaryrefslogtreecommitdiffstats
path: root/dist/archlinux/scrotty.install
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2015-12-07 15:00:49 +0100
committerMattias Andrée <maandree@operamail.com>2015-12-07 15:00:49 +0100
commit55314907a3a38567e7e439f5a06d9067dce2883a (patch)
treedbc9a27d01afcf0db48538c1f4d0cac9599b1c57 /dist/archlinux/scrotty.install
parentAdd --raw option, making ImageMagick optional (diff)
downloadscrotty-55314907a3a38567e7e439f5a06d9067dce2883a.tar.gz
scrotty-55314907a3a38567e7e439f5a06d9067dce2883a.tar.bz2
scrotty-55314907a3a38567e7e439f5a06d9067dce2883a.tar.xz
move dist files
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'dist/archlinux/scrotty.install')
-rw-r--r--dist/archlinux/scrotty.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/dist/archlinux/scrotty.install b/dist/archlinux/scrotty.install
new file mode 100644
index 0000000..8e40299
--- /dev/null
+++ b/dist/archlinux/scrotty.install
@@ -0,0 +1,20 @@
+_file="scrotty"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+